blob: 98195c7108511382bff4fd9b5a7f274a1d366633 [file] [log] [blame]
Tom Rini1a62a722019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyes8b0b5012023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes74bcbb12023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyes8b0b5012023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleycb735172022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rini8b987692023-07-13 20:37:36 -040013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20230624-20Jul2023
Tom Rini1a62a722019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rini1a62a722019-06-19 09:25:17 -040017 - testsuites
Tom Rinib29cb052019-07-24 13:09:31 -040018 - test.py
Tom Rini1a62a722019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rini1a62a722019-06-19 09:25:17 -040022 stage: test.py
Tom Rini58b35852023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Tom Rini1a62a722019-06-19 09:25:17 -040024 before_script:
25 # Clone uboot-test-hooks
Tom Rinibd181a22022-11-21 12:52:40 -050026 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini85ae52b2021-02-24 17:05:04 -050027 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rini1a62a722019-06-19 09:25:17 -040028 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
29 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini28a51232019-10-04 12:12:54 -040030 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
31 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Meng49fb28a2020-03-28 07:25:29 -070032 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Bin Meng0a8239a2023-06-20 13:55:00 +080033 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
34 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070035 fi
Bin Meng0e60b3a2021-08-26 23:33:35 +080036 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Bin Meng0a8239a2023-06-20 13:55:00 +080037 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
38 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070039 fi
Tom Rinib29cb052019-07-24 13:09:31 -040040
Tom Rini1a62a722019-06-19 09:25:17 -040041 after_script:
Marek Vasute5670732023-03-03 02:22:25 +010042 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
Heinrich Schuchardt24df1b12019-12-19 13:30:32 +010043 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rini1a62a722019-06-19 09:25:17 -040044 script:
Simon Glassdd5c9542020-03-18 09:42:57 -060045 # If we've been asked to use clang only do one configuration.
Simon Glass4e32fed2020-03-18 09:42:55 -060046 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass1aa168c2022-08-03 12:13:09 -060047 - echo BUILD_ENV ${BUILD_ENV}
Simon Glass9cea4792023-01-15 14:16:00 -070048 - if [ -n "${BUILD_ENV}" ]; then
49 export ${BUILD_ENV};
50 fi
Simon Glass7ec12552020-03-18 09:43:00 -060051 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
52 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020053 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
54 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
55 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020056 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
57 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0e60b3a2021-08-26 23:33:35 +080058 # create sdcard / spi-nor images for sifive unleashed using genimage
59 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
60 mkdir -p root;
61 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
62 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
63 rm -rf tmp;
64 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
65 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
66 rm -rf tmp;
67 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
68 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
69 fi
Simon Glassbfb2a7f2022-01-21 10:23:01 -070070 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
71 wget -O -
72 "https://drive.google.com/uc?id=1x6nrtWIyIRPLS2cQBwYTnT2TbOI8UjmM&export=download" |
73 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
74 wget -O -
75 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
76 cbfstool;
77 chmod a+x cbfstool;
78 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
79 fi
Tom Rini085b8972019-10-24 11:59:27 -040080 - virtualenv -p /usr/bin/python3 /tmp/venv
81 - . /tmp/venv/bin/activate
82 - pip install -r test/py/requirements.txt
Simon Glass4080d092020-03-18 09:42:56 -060083 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass4e32fed2020-03-18 09:42:55 -060084 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rini1a62a722019-06-19 09:25:17 -040085 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardtf3092472020-07-10 22:04:40 +020086 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass4080d092020-03-18 09:42:56 -060087 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glasscec1e852020-03-18 09:42:59 -060088 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Marek Vasute5670732023-03-03 02:22:25 +010089 artifacts:
90 when: always
91 paths:
92 - "*.html"
93 - "*.css"
94 expire_in: 1 week
Tom Rini1a62a722019-06-19 09:25:17 -040095
Heinrich Schuchardta11cb572019-10-06 12:26:16 +020096build all 32bit ARM platforms:
Tom Rini1a62a722019-06-19 09:25:17 -040097 stage: world build
98 script:
99 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500100 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700101 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600102 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600103 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400104 exit $ret;
105 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400106
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200107build all 64bit ARM platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400108 stage: world build
109 script:
Tom Rini26a426a2020-02-11 12:41:14 -0500110 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rinif0db8392019-07-18 07:28:36 -0400111 - . /tmp/venv/bin/activate
Tom Rini9f7bda12019-07-17 17:51:28 -0400112 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500113 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700114 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600115 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600116 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400117 exit $ret;
118 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400119
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200120build all PowerPC platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400121 stage: world build
122 script:
123 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500124 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassdd5c9542020-03-18 09:42:57 -0600125 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
126 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600127 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400128 exit $ret;
129 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400130
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200131build all other platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400132 stage: world build
133 script:
134 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500135 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700136 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600137 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600138 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400139 exit $ret;
140 fi;
Tom Rini1a62a722019-06-19 09:25:17 -0400141
Tom Rinibb9b9c12022-12-04 10:14:15 -0500142check for new CONFIG symbols outside Kconfig:
Tom Rinic1a7de52021-12-14 13:36:41 -0500143 stage: testsuites
144 script:
Tom Rinibb9b9c12022-12-04 10:14:15 -0500145 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
146 # If grep succeeds and finds a match the test fails as we should
147 # have no matches.
148 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rinia03efb62023-01-10 11:19:46 -0500149 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
150 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
Tom Rinic1a7de52021-12-14 13:36:41 -0500151
Tom Rini1a62a722019-06-19 09:25:17 -0400152# QA jobs for code analytics
153# static code analysis with cppcheck (we can add --enable=all later)
154cppcheck:
Tom Rini1a62a722019-06-19 09:25:17 -0400155 stage: testsuites
156 script:
Simon Glass4ee7f522020-04-05 14:35:43 -0600157 - cppcheck -j$(nproc) --force --quiet --inline-suppr .
Tom Rini1a62a722019-06-19 09:25:17 -0400158
159# search for TODO within source tree
160grep TODO/FIXME/HACK:
Tom Rini1a62a722019-06-19 09:25:17 -0400161 stage: testsuites
162 script:
163 - grep -r TODO .
164 - grep -r FIXME .
165 # search for HACK within source tree and ignore HACKKIT board
166 - grep -r HACK . | grep -v HACKKIT
167
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100168# build documentation
169docs:
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100170 stage: testsuites
171 script:
Heinrich Schuchardt836049d2021-01-25 22:06:25 +0100172 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
173 - . /tmp/venvhtml/bin/activate
174 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt8a6414d2023-05-02 05:04:11 +0200175 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100176 - make infodocs
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100177
Tom Rini1a62a722019-06-19 09:25:17 -0400178# some statistics about the code base
179sloccount:
Tom Rini1a62a722019-06-19 09:25:17 -0400180 stage: testsuites
181 script:
182 - sloccount .
183
184# ensure all configs have MAINTAINERS entries
185Check for configs without MAINTAINERS entry:
Tom Rini1a62a722019-06-19 09:25:17 -0400186 stage: testsuites
187 script:
Simon Glass7ae8a522022-07-11 19:04:09 -0600188 - ./tools/buildman/buildman -R
Tom Rini1a62a722019-06-19 09:25:17 -0400189
190# Ensure host tools build
191Build tools-only:
Tom Rini1a62a722019-06-19 09:25:17 -0400192 stage: testsuites
193 script:
194 - make tools-only_config tools-only -j$(nproc)
195
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200196# Ensure env tools build
197Build envtools:
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200198 stage: testsuites
199 script:
200 - make tools-only_config envtools -j$(nproc)
201
Tom Rini72618332020-03-11 18:11:15 -0400202Run binman, buildman, dtoc, Kconfig and patman testsuites:
Tom Rini1a62a722019-06-19 09:25:17 -0400203 stage: testsuites
204 script:
Tom Rinid7ae9322019-08-12 10:09:08 -0400205 - git config --global user.name "GitLab CI Runner";
206 git config --global user.email trini@konsulko.com;
Tom Rinib6d4e082022-08-09 21:08:54 -0400207 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7ae9322019-08-12 10:09:08 -0400208 export USER=gitlab;
Tom Rini26a426a2020-02-11 12:41:14 -0500209 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rinid7ae9322019-08-12 10:09:08 -0400210 . /tmp/venv/bin/activate;
Tom Rini38229b52021-02-26 07:52:29 -0500211 pip install -r test/py/requirements.txt;
Simon Glassbf0a8132020-03-18 09:42:50 -0600212 export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl;
Tom Rinid7ae9322019-08-12 10:09:08 -0400213 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
214 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinib6d4e082022-08-09 21:08:54 -0400215 set +e;
Simon Glass6c914e42021-03-15 17:25:34 +1300216 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
217 --board sandbox_spl;
Tom Rinib6d4e082022-08-09 21:08:54 -0400218 set -e;
Tom Rinid7ae9322019-08-12 10:09:08 -0400219 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
220 ./tools/buildman/buildman -t;
221 ./tools/dtoc/dtoc -t;
Simon Glass6bb74de2020-07-05 21:41:55 -0600222 ./tools/patman/patman test;
Tom Rini72618332020-03-11 18:11:15 -0400223 make testconfig
Tom Rini1a62a722019-06-19 09:25:17 -0400224
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200225Run tests for Nokia RX-51 (aka N900):
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200226 stage: testsuites
227 script:
Pali Rohárce0f7452023-02-21 11:22:29 -0500228 - mkdir nokia_rx51_tmp;
229 ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/;
230 ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/;
231 ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/;
232 ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/;
233 ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/;
234 ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/;
Tom Rini6d6ddab2023-07-13 20:37:35 -0400235 export PATH=/opt/gcc-13.1.0-nolibc/arm-linux-gnueabi/bin:$PATH;
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200236 test/nokia_rx51_test.sh
237
Simon Glass642e51a2022-02-11 13:23:26 -0700238# Check for any pylint regressions
239Run pylint:
240 stage: testsuites
241 script:
Tom Rinib6d4e082022-08-09 21:08:54 -0400242 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glass642e51a2022-02-11 13:23:26 -0700243 - pip install -r test/py/requirements.txt
Tom Rinie47bbf72022-03-25 08:19:09 -0400244 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glass642e51a2022-02-11 13:23:26 -0700245 - export PATH=${PATH}:~/.local/bin
246 - echo "[MASTER]" >> .pylintrc
247 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
248 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl
Tom Rinib6d4e082022-08-09 21:08:54 -0400249 - set +e
Simon Glass642e51a2022-02-11 13:23:26 -0700250 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
251 --board sandbox_spl
Tom Rinib6d4e082022-08-09 21:08:54 -0400252 - set -e
Simon Glass642e51a2022-02-11 13:23:26 -0700253 - pylint --version
254 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
255 - make pylint_err
256
Simon Glass441a3d02023-02-13 08:56:39 -0700257# Check for pre-schema driver model tags
258Check for pre-schema tags:
259 stage: testsuites
260 script:
261 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
262 # If grep succeeds and finds a match the test fails as we should
263 # have no matches.
264 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
265
Simon Glassc21a5282023-02-23 18:18:24 -0700266# Check we can package the Python tools
267Check packing of Python tools:
268 stage: testsuites
269 script:
270 - make pip
271
Tom Rini1a62a722019-06-19 09:25:17 -0400272# Test sandbox with test.py
273sandbox test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400274 variables:
275 TEST_PY_BD: "sandbox"
Tom Rini1a62a722019-06-19 09:25:17 -0400276 <<: *buildman_and_testpy_dfn
277
Tom Rini0219d012019-11-06 19:30:47 -0500278sandbox with clang test.py:
Tom Rini0219d012019-11-06 19:30:47 -0500279 variables:
280 TEST_PY_BD: "sandbox"
Tom Rinid7e06782023-03-21 15:07:45 -0400281 OVERRIDE: "-O clang-16"
Tom Rini0219d012019-11-06 19:30:47 -0500282 <<: *buildman_and_testpy_dfn
283
Simon Glass1aa168c2022-08-03 12:13:09 -0600284sandbox without LTO test.py:
285 variables:
286 TEST_PY_BD: "sandbox"
287 BUILD_ENV: "NO_LTO=1"
288 <<: *buildman_and_testpy_dfn
289
Tom Rini1a62a722019-06-19 09:25:17 -0400290sandbox_spl test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400291 variables:
292 TEST_PY_BD: "sandbox_spl"
Simon Glassafb26ba2020-10-25 20:38:36 -0600293 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rini1a62a722019-06-19 09:25:17 -0400294 <<: *buildman_and_testpy_dfn
295
Simon Glass6c914e42021-03-15 17:25:34 +1300296sandbox_noinst_test.py:
Simon Glass6c914e42021-03-15 17:25:34 +1300297 variables:
298 TEST_PY_BD: "sandbox_noinst"
299 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
300 <<: *buildman_and_testpy_dfn
301
Simon Glassa31eff32022-04-30 00:56:57 -0600302sandbox_vpl test.py:
303 variables:
304 TEST_PY_BD: "sandbox_vpl"
Simon Glass8b609872023-04-02 14:01:26 +1200305 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa31eff32022-04-30 00:56:57 -0600306 <<: *buildman_and_testpy_dfn
307
Simon Glass9cea4792023-01-15 14:16:00 -0700308# Enable tracing and disable LTO, to ensure functions are not elided
309sandbox trace_test.py:
310 variables:
311 TEST_PY_BD: "sandbox"
312 BUILD_ENV: "FTRACE=1 NO_LTO=1"
313 TEST_PY_TEST_SPEC: "trace"
314 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000"
315 <<: *buildman_and_testpy_dfn
316
Tom Rini699c0b92019-07-17 16:06:57 -0400317evb-ast2500 test.py:
Tom Rini699c0b92019-07-17 16:06:57 -0400318 variables:
319 TEST_PY_BD: "evb-ast2500"
320 TEST_PY_ID: "--id qemu"
Tom Rini699c0b92019-07-17 16:06:57 -0400321 <<: *buildman_and_testpy_dfn
322
Joel Stanleyb24087a2022-06-29 16:35:25 +0930323evb-ast2600 test.py:
324 variables:
325 TEST_PY_BD: "evb-ast2600"
326 TEST_PY_ID: "--id qemu"
327 <<: *buildman_and_testpy_dfn
328
Tom Rini1a62a722019-06-19 09:25:17 -0400329sandbox_flattree test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400330 variables:
331 TEST_PY_BD: "sandbox_flattree"
Tom Rini1a62a722019-06-19 09:25:17 -0400332 <<: *buildman_and_testpy_dfn
333
Kristian Amlie15e30102021-09-07 08:37:51 +0200334vexpress_ca9x4 test.py:
335 variables:
336 TEST_PY_BD: "vexpress_ca9x4"
337 TEST_PY_ID: "--id qemu"
338 <<: *buildman_and_testpy_dfn
339
Tom Rini1a62a722019-06-19 09:25:17 -0400340integratorcp_cm926ejs test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400341 variables:
342 TEST_PY_BD: "integratorcp_cm926ejs"
343 TEST_PY_TEST_SPEC: "not sleep"
344 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400345 <<: *buildman_and_testpy_dfn
346
347qemu_arm test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400348 variables:
349 TEST_PY_BD: "qemu_arm"
350 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400351 <<: *buildman_and_testpy_dfn
352
353qemu_arm64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400354 variables:
355 TEST_PY_BD: "qemu_arm64"
356 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400357 <<: *buildman_and_testpy_dfn
358
Marek Vasuta21e1122023-03-23 01:22:41 +0100359qemu_m68k test.py:
360 variables:
361 TEST_PY_BD: "M5208EVBE"
362 TEST_PY_ID: "--id qemu"
363 TEST_PY_TEST_SPEC: "not sleep and not efi"
364 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
365 <<: *buildman_and_testpy_dfn
366
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200367qemu_malta test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200368 variables:
369 TEST_PY_BD: "malta"
370 TEST_PY_TEST_SPEC: "not sleep and not efi"
371 TEST_PY_ID: "--id qemu"
372 <<: *buildman_and_testpy_dfn
373
374qemu_maltael test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200375 variables:
376 TEST_PY_BD: "maltael"
377 TEST_PY_TEST_SPEC: "not sleep and not efi"
378 TEST_PY_ID: "--id qemu"
379 <<: *buildman_and_testpy_dfn
380
381qemu_malta64 test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200382 variables:
383 TEST_PY_BD: "malta64"
384 TEST_PY_TEST_SPEC: "not sleep and not efi"
385 TEST_PY_ID: "--id qemu"
386 <<: *buildman_and_testpy_dfn
387
388qemu_malta64el test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200389 variables:
390 TEST_PY_BD: "malta64el"
391 TEST_PY_TEST_SPEC: "not sleep and not efi"
392 TEST_PY_ID: "--id qemu"
393 <<: *buildman_and_testpy_dfn
394
Tom Rini1a62a722019-06-19 09:25:17 -0400395qemu-ppce500 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400396 variables:
397 TEST_PY_BD: "qemu-ppce500"
398 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400399 <<: *buildman_and_testpy_dfn
400
Bin Menga379d332020-03-28 07:25:27 -0700401qemu-riscv32 test.py:
Bin Menga379d332020-03-28 07:25:27 -0700402 variables:
403 TEST_PY_BD: "qemu-riscv32"
404 TEST_PY_TEST_SPEC: "not sleep"
Bin Menga379d332020-03-28 07:25:27 -0700405 <<: *buildman_and_testpy_dfn
406
Tom Rini7298d822019-08-02 11:32:37 -0400407qemu-riscv64 test.py:
Tom Rini7298d822019-08-02 11:32:37 -0400408 variables:
409 TEST_PY_BD: "qemu-riscv64"
410 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini7298d822019-08-02 11:32:37 -0400411 <<: *buildman_and_testpy_dfn
412
Bin Meng49fb28a2020-03-28 07:25:29 -0700413qemu-riscv32_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700414 variables:
415 TEST_PY_BD: "qemu-riscv32_spl"
416 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700417 <<: *buildman_and_testpy_dfn
418
419qemu-riscv64_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700420 variables:
421 TEST_PY_BD: "qemu-riscv64_spl"
422 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700423 <<: *buildman_and_testpy_dfn
424
Tom Rini1a62a722019-06-19 09:25:17 -0400425qemu-x86 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400426 variables:
427 TEST_PY_BD: "qemu-x86"
428 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400429 <<: *buildman_and_testpy_dfn
430
431qemu-x86_64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400432 variables:
433 TEST_PY_BD: "qemu-x86_64"
434 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400435 <<: *buildman_and_testpy_dfn
436
Marek Vasut0e125752020-09-14 21:55:58 +0200437r2dplus_i82557c test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200438 variables:
439 TEST_PY_BD: "r2dplus"
440 TEST_PY_ID: "--id i82557c_qemu"
441 <<: *buildman_and_testpy_dfn
442
443r2dplus_pcnet test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200444 variables:
445 TEST_PY_BD: "r2dplus"
446 TEST_PY_ID: "--id pcnet_qemu"
447 <<: *buildman_and_testpy_dfn
448
449r2dplus_rtl8139 test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200450 variables:
451 TEST_PY_BD: "r2dplus"
452 TEST_PY_ID: "--id rtl8139_qemu"
453 <<: *buildman_and_testpy_dfn
454
455r2dplus_tulip test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200456 variables:
457 TEST_PY_BD: "r2dplus"
458 TEST_PY_ID: "--id tulip_qemu"
459 <<: *buildman_and_testpy_dfn
460
Bin Meng0e60b3a2021-08-26 23:33:35 +0800461sifive_unleashed_sdcard test.py:
462 variables:
463 TEST_PY_BD: "sifive_unleashed"
464 TEST_PY_ID: "--id sdcard_qemu"
465 <<: *buildman_and_testpy_dfn
466
467sifive_unleashed_spi-nor test.py:
468 variables:
469 TEST_PY_BD: "sifive_unleashed"
470 TEST_PY_ID: "--id spi-nor_qemu"
471 <<: *buildman_and_testpy_dfn
472
Michal Simekf7c6ee72020-02-13 15:03:29 +0100473xilinx_zynq_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400474 variables:
Michal Simekf7c6ee72020-02-13 15:03:29 +0100475 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rini1a62a722019-06-19 09:25:17 -0400476 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400477 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400478 <<: *buildman_and_testpy_dfn
479
480xilinx_versal_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400481 variables:
482 TEST_PY_BD: "xilinx_versal_virt"
483 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400484 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400485 <<: *buildman_and_testpy_dfn
486
487xtfpga test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400488 variables:
489 TEST_PY_BD: "xtfpga"
490 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400491 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400492 <<: *buildman_and_testpy_dfn
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700493
494coreboot test.py:
495 variables:
496 TEST_PY_BD: "coreboot"
497 TEST_PY_TEST_SPEC: "not sleep"
498 TEST_PY_ID: "--id qemu"
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700499 <<: *buildman_and_testpy_dfn